package com.ablecloud.weixin.utils;

import com.ablecloud.weixin.service.ACWXServer;
import net.sf.json.JSONObject;

/**
 * Created by chenpeng on 15-3-17.
 */
public class WXMPApi {
    //TODO check
    private static final String GetAccessTokenUrl = "https://api.weixin.qq.com/cgi-bin/token?grant_type=client_credential&appid=" +
            ACWXServer.config.getAppId() + "&secret=" + ACWXServer.config.getAppSecret();
    private static final String GetJsApiTicketUrl = "https://api.weixin.qq.com/cgi-bin/ticket/getticket?type=jsapi&access_token=ACCESS_TOKEN";
    private static final String GetUserInfoUrl    = "https://api.weixin.qq.com/cgi-bin/user/info?access_token=ACCESS_TOKEN&openid=OPENID&lang=zh_CN";

    public static AccessToken getAccessToken() {
        String result = HttpUtil.executeGet(GetAccessTokenUrl);
        return AccessToken.fromJson(result);
    }

    public static JsApiTicket getJsApiTicket() {
        String accessToken = AccessTokenKeeper.getTokenStr();
        String result = HttpUtil.executeGet(GetJsApiTicketUrl.replace("ACCESS_TOKEN", accessToken));
        return JsApiTicket.fromJson(result);
    }

    public static String getUserUnionId(String openId) {
        String accessToken = AccessTokenKeeper.getTokenStr();
        String url = GetUserInfoUrl.replace("OPENID", openId).replace("ACCESS_TOKEN", accessToken);
        String result = HttpUtil.executeGet(url);
        JSONObject obj = JSONObject.fromObject(result);
        if (obj.has("unionid"))
            return obj.getString("unionid");
        else
            return "";
    }
}
