package com.ablecloud.weixin.common;

/**
 * Created by chenpeng on 15/3/15.
 */
public class ACWXMsgType {
    // CLICK
    public static final String LIST_DEVICE	= "LIST_DEVICE";
    public static final String CONTACT_US	= "CONTACT_US";
    // basic message
    // request / response
    public static final String TEXT = "text";
    public static final String IMAGE = "image";
    public static final String VOICE = "voice";
    public static final String VIDEO = "video";

    // request
    public static final String LOCATION = "location";
    public static final String NEWS = "news";

    // event push
    public static final String EVENT = "event";
    // event type detail
    public static class Event {
        // subscribe wechat public No.
        public static final String SUBSCRIBE = "subscribe";
        // unsubscribe wechat public No.
        public static final String UNSUBSCRIBE = "unsubscribe";
        // scan qrcode
        public static final String SCAN = "SCAN";
        // report location info
        public static final String LOCATION = "LOCATION";
        // click "CLICK" menu
        public static final String CLICK = "CLICK";
        // click "VIEW" menu
        public static final String VIEW = "VIEW";
    }

    // device related message
    // message
    public static final String DEVICE_TEXT = "device_text";
    // event
    public static final String DEVICE_EVENT = "device_event";
    // status
    public static final String DEVICE_STATUS = "device_status";
    // device event type detail
    public static class DeviceEvent {
        public static final String BIND = "bind";
        public static final String UNBIND = "unbind";
        public static final String SUBSCRIBE_STATUS = "subscribe_status";
        public static final String UNSUBSCRIBE_STATUS = "unsubscribe_status";
    }
}
