package com.ablecloud.weixin.utils;


import net.sf.json.JSONObject;

/**
 * Created by chenpeng on 15-3-16.
 */
public class AccessToken {
    private String access_token;    // response field
    private long expires_in;         // response field
    private long createTime;

    public String getAccess_token() {
        return access_token;
    }

    public void setAccess_token(String access_token) {
        this.access_token = access_token;
    }

    public long getExpires_in() {
        return expires_in;
    }

    public void setExpires_in(long expires_in) {
        this.expires_in = expires_in;
    }

    public long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(long createTime) {
        this.createTime = createTime;
    }

    public static AccessToken fromJson(String json) {
        AccessToken token = (AccessToken) JSONObject.toBean(JSONObject.fromObject(json), AccessToken.class);
        token.setCreateTime(System.currentTimeMillis());
        return token;
    }

    @Override
    public String toString() {
        return "AccessToken{" +
                "access_token='" + access_token + '\'' +
                ", expires_in=" + expires_in +
                ", createTime=" + createTime +
                '}';
    }
}
