package com.ablecloud.weixin.utils;

import net.sf.json.JSONObject;

public class JsApiTicket {

	public static JsApiTicket fromJson(String json) {
		JsApiTicket t = (JsApiTicket) JSONObject.toBean(JSONObject.fromObject(json), JsApiTicket.class);
        t.created_at = System.currentTimeMillis() / 1000;
        return t;
	}

	public String getTicket() {
		return this.ticket;
	}

	public void setTicket(String ticket) {
		this.ticket = ticket;
	}

	public long getCreatedAt() {
		return this.created_at;
	}

	public void setCreatedAt(long t) {
		created_at = t;
	}

	public int getExpires_in() {
		return expires_in - 200;
	}

	public void setExpires_in(int e) {
		expires_in = e;
	}

	public boolean hasExpired() {
		if (System.currentTimeMillis() / 1000 - getCreatedAt() > (expires_in - 200))
			return true;
		else
			return false;
	}

	public int getErrcode() {
		return errcode;
	}

	public void setErrcode(int c) {
		errcode = c;
	}

	public String getErrmsg() {
		return errmsg;
	}

	public void setErrmsg(String e) {
		errmsg = e;
	}
	
	private int errcode;		// response field
	private String errmsg;		// response field
	private String ticket;		// response field
	private int expires_in;		// response field
	private long created_at;
}